PDD(1)

NAME
pdd - Tiny date, time difference calculator.

SYNOPSIS
pdd [OPTIONS] [KEYWORDS ...]

DESCRIPTION
pdd (python3 date diff) is a small utility to calculate date and time difference. If no program arguments are specified it shows the current date, time and timezone.

Features

- calculate date difference
- calculate time difference
- add, subtract duration (timeslice) to/from date (time)
- calculate diff from today and now
- show current date, time and timezone
- minimal dependencies

Operational notes

- Time is in 24-hr format.
- Month can be specified as month number (e.g. Jan - 1, Dec - 12).
- The absolute difference is shown. Argument order is ignored.
- The end date is excluded in date difference calculations.
- Hour, minute or second can be omitted. Partial inputs are recognized as mm:ss or ss.

OPTIONS

-h, --help
    Show help text and exit.

-d dd mmm yyyy [dd mmm yyyy | d m y]
    Calculate date difference.

-t hh:mm:ss [hh:mm:ss | h:m:s]
    Calculate time difference.

--add
    Add a duration or timeslice to date (/today) or time (/now).

--sub
    Subtract a duration or timeslice from date (/today) or time (/now).

--day dd mmm yyyy
    Show the day of the week on a date.

EXAMPLES

1.  Calculate date diff:

    $ pdd -d 3 jul 1983 15 1 2014

2.  Calculate time diff:

    $ pdd -t 45:50 6:17:33

3.  Show current date, time and timezone:

    $ pdd

4.  Specify time with roll-over:

    $ pdd -t 5:80:75 6:17:33

5.  Calculate diff from today:

    $ pdd 15 Jan 2015

6.  Calculate diff from now:

    $ pdd 24:00:00
    $ pdd 0

7.  Add a duration (1 day, 2 months, 3 years) to 28 Feb, 2000:

    $ pdd -d 28 FEB 2000 1 2 3 --add

8.  Add a timeslice (1 hour 2 mins 3 secs) to 23:45:37:

    $ pdd -t 23:45:37 1:2:3 --add

9.  Add a duration (1 day, 2 months, 3 years) to today:

    $ pdd 1 2 3 --add

10. Add a timeslice (1 hour 2 minutes 3 seconds) to now:

    $ pdd 1:2:3 --add

11. Subtract a duration (1 day) from 1 Mar, 2000:

    $ pdd -d 01 Mar 2000 1 0 0 --sub

12. Subtract a timeslice (1 sec) from midnight:

    $ pdd -t 00:00:00 0:0:1 --sub

13. Subtract a duration (1 day, 2 months, 3 years) from today:

    $ pdd 1 2 3 --sub

14. Subtract a timeslice (1 hour 2 minutes 3 seconds) from now:

    $ pdd 1:2:3 --sub

15. Show the day of the week on 15 Jan 2014:

    $ pdd --day 15 Jan 2014

AUTHORS
Arun Prakash Jana <engineerarun@gmail.com>

HOME
https://github.com/jarun/pdd

REPORTING BUGS
https://github.com/jarun/pdd/issues

LICENSE
Copyright © 2017 Arun Prakash Jana <engineerarun@gmail.com>

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.